The BOOST_PP_TUPLE_PUSH_BACK macro appends an element to the end of a tuple.

#### Usage

BOOST_PP_TUPLE_PUSH_BACK(tuple, elem) (v)

#### Arguments

tuple
  The tuple to append an element to.
elem
  The element to append.

#### Requirements

Header: <boost/preprocessor/tuple/push_back.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/push_back.hpp>

    #define TUPLE (a, b, c)

    BOOST_PP_TUPLE_PUSH_BACK(TUPLE, d) // expands to (a, b, c, d)

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanyig file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)